Jump to content
CCleaner Community Forums
nodles

The Firefox/Mozilla Thread

Recommended Posts

Did an "Upgrade" install, which really shouldn't cause any major issues.

 

It isn't my main browser so I can't be a**ed messing about with a clean install, or trying to find out what the problem is. The lack of any moving back or forward options didn't fix itself at all.

 

I moved around the forum by clicking the "Forums" button underneath the Piriform name to go back.

 

And my long lasting Winstripe Modern theme wasn't compatible, and it isn't being upgraded.

 

End of winge. :lol:

Share this post


Link to post
Share on other sites

Did an "Upgrade" install, which really shouldn't cause any major issues.

 

It isn't my main browser so I can't be a**ed messing about with a clean install, or trying to find out what the problem is. The lack of any moving back or forward options didn't fix itself at all.

 

I moved around the forum by clicking the "Forums" button underneath the Piriform name to go back.

 

And my long lasting Winstripe Modern theme wasn't compatible, and it isn't being upgraded.

 

End of winge. :lol:

 

using 10.0.1 and no problems. I am using Portable version so I just drop in the CORE files. Whenever I upgrade and the add-on does not work, I search for the add-on and find the install.rdf and edit the version number in that file to make it compatible. Not sure where the THEME files are, but I'm sure the same may be possible.

Share this post


Link to post
Share on other sites

Did an "Upgrade" install, which really shouldn't cause any major issues.

 

It isn't my main browser so I can't be a**ed messing about with a clean install, or trying to find out what the problem is. The lack of any moving back or forward options didn't fix itself at all.

 

I moved around the forum by clicking the "Forums" button underneath the Piriform name to go back.

 

And my long lasting Winstripe Modern theme wasn't compatible, and it isn't being upgraded.

 

End of winge. :lol:

 

I heard that 10 will not be as stringent on checking addon compatibility so it won't break as many as before. But I do not know. I do know there is an add on you used to could get to make it force add-ons to work. Not sure if it is still developed, however.

 

I asked about the upgrade, because it generally works good. But if you went several versions, the features may change so drastically, it can cause problems. Example: I had a firefox install that after multiple updates later, the right near the address bar was showing a button that should not be there from an older release.

 

Uninstalling it (but keeping the profile folder) and clean installing the new version fixed it.

 

P.S. I believe there is even an IE skin for firefox, if you like the simplicity of IE... Hahaha!

Share this post


Link to post
Share on other sites

using 10.0.1 and no problems. I am using Portable version so I just drop in the CORE files. Whenever I upgrade and the add-on does not work, I search for the add-on and find the install.rdf and edit the version number in that file to make it compatible. Not sure where the THEME files are, but I'm sure the same may be possible.

 

Thanks for the idea. It saves me a lot of time when others share time saving tricks. I was aware of a few work arounds for other programs, but it is nice to know you can edit the version numbers like this. Great one, my friend.

Share this post


Link to post
Share on other sites

did some snooping around since my post and the theme is in the same folder as the add-on. It may be in a compressed file (XPI). If so, just use 7zip to extract it in a folder of the same name and rename the XPI file so it can't be recognized, I rename it to XP!. I then find the install.rdf in the extracted folder, edit, save and leave the file uncompressed. Whenever there is an update, the folder will be nuked and a replacement archive will take its place.

Share this post


Link to post
Share on other sites

No issues here yet.

 

Does the spell checker work for you? For instance when making a post on a forum. It's been broken for me for a few versions now.

Share this post


Link to post
Share on other sites

For me Spell Checker was broken a long time ago in Firefox.

 

PaleMoon Portable is NOT broken.

They validate and adjust Mozilla updates to ensure that portability is not broken,

and their extra care pays dividends for their users.

 

I am happy to be off from the Firefox Treadmill - Mozilla are aiming to beat Google to version Infinity.

Share this post


Link to post
Share on other sites

The spellchecker hasn't been working for me on the forums for quite some time, I've actually pinned it up as a forums issue, 'cause this is the only place it doesn't work.

Share this post


Link to post
Share on other sites

I've just installed this US-English dictionary ...

 

https://addons.mozil...glish-spellche/

 

... and spellchecker is now working.

 

It'll do until I find an British-English one which can spell correctly. :lol:

 

EDIT: Whoops, found one.

 

I thought it was my old incompatible version, but I now notice the .1 on the end of the version number.

 

https://addons.mozilla.org/en-US/firefox/addon/british-english-dictionary/

Share this post


Link to post
Share on other sites

using 10.0.1 and no problems. I am using Portable version so I just drop in the CORE files. Whenever I upgrade and the add-on does not work, I search for the add-on and find the install.rdf and edit the version number in that file to make it compatible. Not sure where the THEME files are, but I'm sure the same may be possible.

 

I'm now using FF 10.01 as mentioned above, and also have my "incompatible" Winstripe Modern theme working perfectly.

 

 

 

Respect for that little trick. It's a new one on me.

:)

Share this post


Link to post
Share on other sites

The spellchecker hasn't been working for me on the forums for quite some time, I've actually pinned it up as a forums issue, 'cause this is the only place it doesn't work.

There is anothe rforum I am on which has the same problem. I would lean toward an issue with IPB vs this board.

Share this post


Link to post
Share on other sites

I'm now using FF 10.01 as mentioned above, and also have my "incompatible" Winstripe Modern theme working perfectly.

 

 

 

Respect for that little trick. It's a new one on me.

:)

 

That's friggin awesome that you got your theme working. I looked at the theme you uploaded a pic of. Great that you got it fixed using that trick!

 

Well, so far as the spell checker in firefox, I am from USA. I don't know how it is for you in Britain, but spellcheck just works for me in Firefox 10.0.1.

It works when I am posting up here on the forums as well.

 

No problems.

Share this post


Link to post
Share on other sites

I have the same spell-checker in both Firefox and Palemoon.

 

On this forum it works in Palemoon but not in Firefox.

I have not assessed Firefox on other forums, but Palemoon never fails.

Share this post


Link to post
Share on other sites

Spell checking doesn't work on this forum in:

 

Firefox 10

Firefox 11 Beta

Aurora 12

Nightly 13

Waterfox 10

 

(For me at least :P)

Share this post


Link to post
Share on other sites

I just got spell check working on this forum by selecting 1FSld.png

It un checks English/United States when I clear cache/cookies

 

edit: after I wrote that Firefox remembers it now :blink:

Edited by Coffee4Joe

Share this post


Link to post
Share on other sites

Spell checking works for me in the full editor, but not in the quick reply (which is what I generally use)

Share this post


Link to post
Share on other sites

What do you mean about the quick reply? I

Spell checking works for me in the full editor, but not in the quick reply (which is what I generally use)

 

What do you mean? It works for me. I am using latest 10 version.

 

* Works for me in quick edit, full edit, quote reply. Have you tried uninstalling Firefox (being careful NOT to checkmark to remove your customizations & data since this IS where your bookmarks/passwords etc. are) & doing a clean setup?

_____

 

I know upgrades are supposed to be smooth, but I will give you some examples of what can go wrong. I was using older 3, 4, 5 series of Firefox. I removed that & started with either 8 or 9 clean installed.

 

Long story short, I upgraded to version 10 series from either 9, or 8, then 9, then 10. Well, 10 series removes the back button unless your using it. But since I did the upgrade, it kept the version 9 back button on my browser.

 

Hmmmm... This isn't particularly weird, as I kinda like using 10 with the 9 series back button, but weird issues & things can happen if you do upgrades. Especially over a several revision number count. Because more code is changing.

_____

 

What I would do to clean install:

 

* Backup Mozilla AppData folder (this has your bookmarks/passwords/settings saved inside)

* Run Firefox uninstaller

* Delete C:\Program Files\Mozilla Firefox folder

* Install your new Firefox.

_____

 

If you did not remove or change your Mozilla AppData profile folder, it should pick it right up & run with it.

 

Spell check works for me. Works great! Wonder if you tried clean install?

 

* 32 Bit Windows 7 / Firefox 10.0.1

Share this post


Link to post
Share on other sites

I actually did just recently re-install windows, which included making a new firefox profile.

Share this post


Link to post
Share on other sites

Weird, now it's working (though I don't have a spell check option in the context menu)

 

Seems sporadic. I still blame the forums! :P

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...